#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xFD,0xD8,0xF8,0x4B,0xA1,0xF5,0x95,0x41,0x9A,0xE4,0x29,0xF4,
		0xF9,0xA1,0xEF,0x49,0x26,0x99,0xA5,0x3F,0x6D,0x61,0x54,0x8C,
		0xB8,0x5C,0x10,0x71,0xF9,0x63,0x16,0x2E,0x92,0x2D,0xB7,0x72,
		0xD4,0x1A,0x34,0x88,0x0A,0x52,0x81,0xF7,0x3B,0x9D,0x1D,0xA9,
		0x21,0xB9,0x57,0xEA,0xAB,0x6E,0x4C,0x94,0x6C,0xE4,0x08,0x82,
		0x91,0x62,0x2C,0x1B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
